Debian Bug report logs - #596390
linux-image-2.6.32-bpo.5-amd64: r8169 Link not ready

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Shawn Heisey <debian@elyograg.org>

Date: Fri, 10 Sep 2010 22:18:01 UTC

Severity: important

Found in version 2.6.32-20~bpo50+1

Fixed in versions linux-2.6/2.6.37-1~experimental.1, linux-2.6/2.6.32-30

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Fri, 10 Sep 2010 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <debian@elyograg.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Sep 2010 22:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shawn Heisey <debian@elyograg.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-bpo.5-amd64: r8169 Link not ready
Date: Fri, 10 Sep 2010 16:06:12 -0600
Package: linux-2.6
Version: 2.6.32-20~bpo50+1
Severity: important


WHen I boot this kernel, my ethernet port stops working.  The light on
the switch goes out.  It is a Cisco 3550 switch with 10 10/100/1000 ports
and two GBIC ports.  This server is plugged into a 10/100/1000 port.

In order to get things working again, I have to power the machine off
and boot 2.6.30 instead.  I will attach kernel logs from both versions.

This is not the "wrong mac address" bug.  I have not seen anyone with my
exact symptoms.  I do get the missing firmware message when building
the initramfs, but I understand that I don't really need firmware.


-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor: To Be Filled By O.E.M.
product_name: To Be Filled By O.E.M.
product_version: To Be Filled By O.E.M.
chassis_vendor: To Be Filled By O.E.M.
chassis_version: To Be Filled By O.E.M.
bios_vendor: American Megatrends Inc.
bios_version: P1.80
board_vendor: ASRock
board_name: M3A785GXH/128M
board_version:         

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
auto eth0
iface eth0 inet static
	address 166.70.79.219
	netmask 255.255.255.240
	network 166.70.79.208
	broadcast 166.70.79.223
	gateway 166.70.79.209
#	vlan_raw_device eth0
	# dns-* options are implemented by the resolvconf package, if installed
	dns-nameservers 166.70.79.215
	dns-search elyograg.org int.elyograg.org

auto eth0:0
iface eth0:0 inet static
	address 166.70.79.211
	netmask 255.255.255.240
	network 166.70.79.208
	broadcast 166.70.79.223

#auto vlan100
#iface vlan100 inet static
#	address 192.168.1.50
#	netmask 255.255.255.0
#	network 192.168.1.0
#	broadcast 192.168.1.255
#	vlan_raw_device eth0

** PCI devices:
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS780 Host Bridge Alternate [1022:9601]
	Subsystem: ASRock Incorporation Device [1849:9601]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: ASRock Incorporation Device [1849:9602] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fe800000-fe9fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

00:0a.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5) [1022:9609] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fea00000-feafffff
	Prefetchable memory behind bridge: 00000000fdf00000-00000000fdffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode] [1002:4391] (prog-if 01 [AHCI 1.0])
	Subsystem: ASRock Incorporation Device [1849:4391]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at b000 [size=8]
	Region 1: I/O ports at a000 [size=4]
	Region 2: I/O ports at 9000 [size=8]
	Region 3: I/O ports at 8000 [size=4]
	Region 4: I/O ports at 7000 [size=16]
	Region 5: Memory at fe7ffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci
	Kernel modules: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4397]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe7fe000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4398]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe7fd000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASRock Incorporation Device [1849:4396]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fe7ff800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4397]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe7fc000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4398]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe7f7000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: ASRock Incorporation Device [1849:4396]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at fe7ff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3c)
	Subsystem: ASRock Incorporation Device [1849:4385]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort+ <MAbort- >SERR+ <PERR+ INTx-
	Capabilities: <access denied>
	Kernel driver in use: piix4_smbus
	Kernel modules: i2c-piix4

00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE Controller [1002:439c] (prog-if 8a [Master SecP PriP])
	Subsystem: ASRock Incorporation Device [1849:439c]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ff00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ATIIXP_IDE
	Kernel modules: ide-pci-generic, atiixp, ata_generic

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
	Subsystem: ASRock Incorporation Device [1849:0888]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin ? routed to IRQ 16
	Region 0: Memory at fe7f0000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
	Subsystem: ASRock Incorporation Device [1849:439d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=64
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: feb00000-febfffff
	Secondary status: 66MHz- FastB2B+ ParErr+ DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR+
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller [1002:4399] (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:4399]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fe7f6000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel modules: k10temp

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc Device [1002:9710] (prog-if 00 [VGA controller])
	Subsystem: ASRock Incorporation Device [1849:9710]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at c000 [size=256]
	Region 2: Memory at fe9f0000 (32-bit, non-prefetchable) [size=64K]
	Region 5: Memory at fe800000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Subsystem: ASRock Incorporation Device [1849:8168]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 25
	Region 0: I/O ports at d800 [size=256]
	Region 2: Memory at fdfff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at fdff8000 (64-bit, prefetchable) [size=16K]
	Expansion ROM at feae0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

03:07.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller [1106:3044] (rev c0) (prog-if 10 [OHCI])
	Subsystem: ASRock Incorporation Device [1849:3044]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
	Latency: 32 (8000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at febff800 (32-bit, non-prefetchable) [size=2K]
	Region 1: I/O ports at e800 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci


** USB devices:
Bus 006 Device 002: ID 0518:0001 EzKEY Corp. USB to PS2 Adaptor v1.09
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-bpo.1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-bpo.5-amd64 depends on:
ii  debconf [debconf-2.0]  1.5.24            Debian configuration management sy
ii  initramfs-tools [linux 0.94.4~bpo50+1    tools for generating an initramfs
ii  linux-base             2.6.32-20~bpo50+1 Linux image base package
ii  module-init-tools      3.4-1             tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-bpo.5-amd64 recommends:
ii  firmware-linux-free    2.6.32-20~bpo50+1 Binary firmware for various driver

Versions of packages linux-image-2.6.32-bpo.5-amd64 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.32           <none>        (no description available)

Versions of packages linux-image-2.6.32-bpo.5-amd64 is related to:
ii  firmware-bnx2               0.24~bpo50+1 Binary firmware for Broadcom NetXt
ii  firmware-bnx2x              0.24~bpo50+1 Binary firmware for Broadcom NetXt
pn  firmware-ipw2x00            <none>       (no description available)
pn  firmware-ivtv               <none>       (no description available)
pn  firmware-iwlwifi            <none>       (no description available)
ii  firmware-linux              0.24~bpo50+1 Binary firmware for various driver
ii  firmware-linux-nonfree      0.24~bpo50+1 Binary firmware for various driver
ii  firmware-qlogic             0.24~bpo50+1 Binary firmware for QLogic IBA7220
ii  firmware-ralink             0.24~bpo50+1 Binary firmware for Ralink RT2561,
pn  xen-hypervisor              <none>       (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-bpo.5-amd64/prerm/removing-running-kernel-2.6.32-bpo.5-amd64: true
  linux-image-2.6.32-bpo.5-amd64/prerm/would-invalidate-boot-loader-2.6.32-bpo.5-amd64: true
* linux-image-2.6.32-bpo.5-amd64/postinst/missing-firmware-2.6.32-bpo.5-amd64:
  linux-image-2.6.32-bpo.5-amd64/postinst/bootloader-error-2.6.32-bpo.5-amd64:
  linux-image-2.6.32-bpo.5-amd64/postinst/depmod-error-initrd-2.6.32-bpo.5-amd64: false
  linux-image-2.6.32-bpo.5-amd64/postinst/ignoring-do-bootloader-2.6.32-bpo.5-amd64:
  linux-image-2.6.32-bpo.5-amd64/postinst/bootloader-test-error-2.6.32-bpo.5-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Fri, 10 Sep 2010 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <elyograg@elyograg.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Sep 2010 22:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 596390@bugs.debian.org (full text, mbox):

From: Shawn Heisey <elyograg@elyograg.org>
To: 596390@bugs.debian.org
Subject: Log messages from 2.6.30 and 2.6.32
Date: Fri, 10 Sep 2010 16:31:04 -0600
[Message part 1 (text/plain, inline)]
 Here's the full kernel log from both versions, taken a couple of 
minutes apart.

I've had this trouble for quite some time, ever since 2.6.32 made it 
into lenny-backports.  I'd like to get on the new kernel version and 
eliminate the old one.

[kernel-2.6.30.log (text/plain, attachment)]
[kernel-2.6.32.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Fri, 10 Sep 2010 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Sep 2010 23:00:05 GMT) Full text and rfc822 format available.

Message #15 received at 596390@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Shawn Heisey <elyograg@elyograg.org>, 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Fri, 10 Sep 2010 23:57:09 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-09-10 at 16:31 -0600, Shawn Heisey wrote:
> Here's the full kernel log from both versions, taken a couple of 
> minutes apart.
> 
> I've had this trouble for quite some time, ever since 2.6.32 made it 
> into lenny-backports.  I'd like to get on the new kernel version and 
> eliminate the old one.

Please test a newer version.  There was a bug fix to r8169 in version
2.6.32-16 which might address this.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 10 Sep 2010 23:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Sat, 11 Sep 2010 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <elyograg@elyograg.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 11 Sep 2010 07:39:07 GMT) Full text and rfc822 format available.

Message #22 received at 596390@bugs.debian.org (full text, mbox):

From: Shawn Heisey <elyograg@elyograg.org>
To: 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 11 Sep 2010 01:33:29 -0600
 On 9/10/2010 4:57 PM, Ben Hutchings wrote:
> Please test a newer version.  There was a bug fix to r8169 in version
> 2.6.32-16 which might address this.
>

I was already on the -20 version.  Then I tried the -21 recently added 
to the backports archive, with no change.

After a little experimentation, I found a not-very-good workaround.  The 
first thing I tried was plugging it into a dumb 100Mb/s switch.  The 
link came right up, so I did a little further experimentation.  If I 
turn off autoneg with ethtool, it comes up at 10/half.  Basically it 
will work at anything except for gigabit, and I cannot set speed 1000 if 
autoneg is turned off.  For now, I have hard-set both sides to 
100/Full.  At this time I do not have another gigabit switch I can try, 
but I will see what I can do about that.  I would like to emphasize that 
this works without issue on 2.6.30, though.

Should it interest you, here's a show ver from my switch:

rivendell#show ver
Cisco IOS Software, C3550 Software (C3550-IPSERVICESK9-M), Version 
12.2(44)SE6,
RELEASE SOFTWARE (fc1)
Copyright (c) 1986-2009 by Cisco Systems, Inc.
Compiled Mon 09-Mar-09 20:28 by gereddy
Image text-base: 0x00003000, data-base: 0x012A99FC

ROM: Bootstrap program is C3550 boot loader

rivendell uptime is 34 weeks, 5 days, 15 hours, 27 minutes
System returned to ROM by power-on
System restarted at 08:53:10 MST Sun Jan 10 2010
System image file is 
"flash:c3550-ipservicesk9-mz.122-44.SE6/c3550-ipservicesk9-
mz.122-44.SE6.bin"


This product contains cryptographic features and is subject to United
States and local country laws governing import, export, transfer and
use. Delivery of Cisco cryptographic products does not imply
third-party authority to import, export, distribute or use encryption.
Importers, exporters, distributors and users are responsible for
compliance with U.S. and local country laws. By using this product you
agree to comply with applicable laws and regulations. If you are unable
to comply with U.S. and local laws, return this product immediately.

A summary of U.S. laws governing Cisco cryptographic products may be 
found at:
http://www.cisco.com/wwl/export/crypto/tool/stqrg.html

If you require further assistance please contact us by sending email to
export@cisco.com.

Cisco WS-C3550-12T (PowerPC) processor (revision M0) with 65526K/8192K 
bytes of
memory.
Processor board ID CHK0706V183
Last reset from warm-reset
Running Layer2/3 Switching Image

Ethernet-controller 1 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 2 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 3 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 4 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 5 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 6 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 7 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 8 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 9 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 10 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 11 has 1 Gigabit Ethernet/IEEE 802.3 interface

Ethernet-controller 12 has 1 Gigabit Ethernet/IEEE 802.3 interface

12 Gigabit Ethernet interfaces

The password-recovery mechanism is enabled.
384K bytes of flash-simulated NVRAM.
Base ethernet MAC Address: 00:0C:30:10:FC:00
Motherboard assembly number: 73-5527-16
Power supply part number: 34-0967-01
Motherboard serial number: CAT07050H7G
Power supply serial number: DCA07040FZU
Model revision number: M0
Motherboard revision number: A0
Model number: WS-C3550-12T
System serial number: CHK0706V183
Configuration register is 0x10F

rivendell#





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Sat, 11 Sep 2010 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 11 Sep 2010 16:48:03 GMT) Full text and rfc822 format available.

Message #27 received at 596390@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 11 Sep 2010 17:45:03 +0100
[Message part 1 (text/plain, inline)]
-------- Forwarded Message --------
From: Shawn Heisey <elyograg@elyograg.org>
To: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 11 Sep 2010 01:03:40 -0600

On 9/10/2010 4:57 PM, Ben Hutchings wrote:
 > Please test a newer version.  There was a bug fix to r8169 in version
 > 2.6.32-16 which might address this.

I've already got 2.6.32-20, significantly newer than the -16 you're 
mentioning.  There is a -21 version on backports that I will try out as 
soon as I can.  If you'd like me to try something even newer, please 
tell me how to either get a binary package that's compatible with Lenny, 
or how to go about building it myself in a way that results in a package.

To make it easier to see what's different in the logs you already have, 
I stripped off the first several columns of the two kernel logs and 
diffed them.  Attached.



[kernel-logdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Sat, 11 Sep 2010 16:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 11 Sep 2010 16:48:05 GMT) Full text and rfc822 format available.

Message #32 received at 596390@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 596390-submitter@bugs.debian.org
Cc: 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 11 Sep 2010 17:46:14 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-09-11 at 01:03 -0600, Shawn Heisey wrote:
> On 9/10/2010 4:57 PM, Ben Hutchings wrote:
>  > Please test a newer version.  There was a bug fix to r8169 in version
>  > 2.6.32-16 which might address this.
> 
> I've already got 2.6.32-20, significantly newer than the -16 you're 
> mentioning.
[...]

But the log you sent is from 2.6.32-15.  Please send a log from the
newer version.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Shawn Heisey <debian@elyograg.org>:
Bug#596390. (Sat, 11 Sep 2010 16:48:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#596390; Package linux-2.6. (Sat, 11 Sep 2010 22:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <elyograg@elyograg.org>:
Extra info received and filed, but not forwarded. (Sat, 11 Sep 2010 22:12:05 GMT) Full text and rfc822 format available.

Message #40 received at 596390-quiet@bugs.debian.org (full text, mbox):

From: Shawn Heisey <elyograg@elyograg.org>
To: Ben Hutchings <ben@decadent.org.uk>, 596390-quiet@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 11 Sep 2010 16:02:10 -0600
[Message part 1 (text/plain, inline)]
 On 9/11/2010 10:46 AM, Ben Hutchings wrote:
> On Sat, 2010-09-11 at 01:03 -0600, Shawn Heisey wrote:
>> On 9/10/2010 4:57 PM, Ben Hutchings wrote:
>>   >  Please test a newer version.  There was a bug fix to r8169 in version
>>   >  2.6.32-16 which might address this.
>>
>> I've already got 2.6.32-20, significantly newer than the -16 you're
>> mentioning.
> [...]
>
> But the log you sent is from 2.6.32-15.  Please send a log from the
> newer version.
>

I guess I grabbed the wrong part of the kern.log file.  Apologies.  I'm 
including the one with -20 that didn't work several days ago, and then 
the one from -21 last night.  On the -21 log, the result was the same at 
first, then I got logged into the console and you'll see the link go up 
and down multiple times from the troubleshooting that eventually led to 
hard-setting both sides to 100/Full.

The reason there are two lines of "link down" in the -15 and the -20 
logfile is because at the time, I had put a pre-up command in 
/etc/network/interfaces that turned autoneg off and then back on.  One 
of the many messages I read while researching this problem said that 
this worked for them.  It wasn't helping, so I removed it.

I have tried multiple cables and multiple ports on the switch.  
Everything works with 2.6.30, but not 2.6.32.

Thanks,
Shawn

[kernel-2.6.32-20.log (text/plain, attachment)]
[kernel-2.6.32-21.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Sun, 12 Sep 2010 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Sep 2010 02:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 596390@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 596390-submitter@bugs.debian.org
Cc: 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sun, 12 Sep 2010 03:15:51 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-09-11 at 16:02 -0600, Shawn Heisey wrote:
> On 9/11/2010 10:46 AM, Ben Hutchings wrote:
> > On Sat, 2010-09-11 at 01:03 -0600, Shawn Heisey wrote:
> >> On 9/10/2010 4:57 PM, Ben Hutchings wrote:
> >>   >  Please test a newer version.  There was a bug fix to r8169 in version
> >>   >  2.6.32-16 which might address this.
> >>
> >> I've already got 2.6.32-20, significantly newer than the -16 you're
> >> mentioning.
> > [...]
> >
> > But the log you sent is from 2.6.32-15.  Please send a log from the
> > newer version.
> >
> 
> I guess I grabbed the wrong part of the kern.log file.  Apologies.  I'm 
> including the one with -20 that didn't work several days ago, and then 
> the one from -21 last night.  On the -21 log, the result was the same at 
> first, then I got logged into the console and you'll see the link go up 
> and down multiple times from the troubleshooting that eventually led to 
> hard-setting both sides to 100/Full.
> 
> The reason there are two lines of "link down" in the -15 and the -20 
> logfile is because at the time, I had put a pre-up command in 
> /etc/network/interfaces that turned autoneg off and then back on.  One 
> of the many messages I read while researching this problem said that 
> this worked for them.  It wasn't helping, so I removed it.
> 
> I have tried multiple cables and multiple ports on the switch.  
> Everything works with 2.6.30, but not 2.6.32.

Please try this while running kernel version 2.6.32:
1. Enable additional error logging by running: ethtool -s eth0 msglvl 0x3f
2. Enable autoneg again
3. Disconnect and reconnect the cable
4. Check for any new error messages in the kernel log

Also send the output of each of these commands when autoneg is enabled
and the cable connected, under 2.6.30 and under 2.6.32:
1. ethtool eth0
2. ethtool -d eth0
3. mii-tool eth0

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Shawn Heisey <debian@elyograg.org>:
Bug#596390. (Sun, 12 Sep 2010 02:21:05 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 15 Oct 2010 01:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Sat, 20 Nov 2010 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <debian@elyograg.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 20 Nov 2010 17:30:03 GMT) Full text and rfc822 format available.

Message #55 received at 596390@bugs.debian.org (full text, mbox):

From: Shawn Heisey <debian@elyograg.org>
To: Ben Hutchings <ben@decadent.org.uk>, 596390-quiet@bugs.debian.org
Cc: 596390-submitter@bugs.debian.org, 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 20 Nov 2010 10:20:00 -0700
On 9/11/2010 8:15 PM, Ben Hutchings wrote:
> Please try this while running kernel version 2.6.32:
> 1. Enable additional error logging by running: ethtool -s eth0 msglvl 0x3f
> 2. Enable autoneg again
> 3. Disconnect and reconnect the cable
> 4. Check for any new error messages in the kernel log
>
> Also send the output of each of these commands when autoneg is enabled
> and the cable connected, under 2.6.30 and under 2.6.32:
> 1. ethtool eth0
> 2. ethtool -d eth0
> 3. mii-tool eth0

Sorry this took me so long, I didn't even see it until today.  I was 
thinking about the bug and wondering why I hadn't heard anything.  I 
checked the website, then searched my email, and there it was.  Although 
the system has been stable since I implemented the 100/Full workaround, 
I do miss gigabit speed between local machines.  I am now running the 
following kernel:

linux-image-2.6.32-bpo.5-amd64                    2.6.32-26~bpo50+1

When I enabled autoneg, I moved the cable to a switchport that's still 
doing auto.  The error logging was not very interesting, but hopefully 
it'll be helpful.  It repeats the same message every 10 seconds:

Nov 20 09:53:27 frodo kernel: [4443395.744137] eth0: PHY reset until link up
Nov 20 09:53:37 frodo kernel: [4443405.744132] eth0: PHY reset until link up
Nov 20 09:53:47 frodo kernel: [4443415.744132] eth0: PHY reset until link up
Nov 20 09:53:57 frodo kernel: [4443425.744132] eth0: PHY reset until link up
Nov 20 09:54:07 frodo kernel: [4443435.744133] eth0: PHY reset until link up
Nov 20 09:54:17 frodo kernel: [4443445.744805] eth0: PHY reset until link up
Nov 20 09:54:27 frodo kernel: [4443455.744805] eth0: PHY reset until link up
Nov 20 09:54:37 frodo kernel: [4443465.744805] eth0: PHY reset until link up

Output of the other commands you wanted, which also don't look very 
helpful to me:

ethtool eth0:
Settings for eth0:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 10Mb/s
        Duplex: Half
        Port: MII
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: d
        Current message level: 0x0000003f (63)
        Link detected: no

ethtool -d eth0:
Unknown RealTek chip (mask: 0x28000000)

mii-tool eth0:
eth0: no link

After disabling autoneg, hard-setting 100/Full again, and moving it back 
to the hard-set switchport, the system was having trouble.  It was 
similar to what happens when one side is hard-set and the other is auto, 
except the packet loss was much worse.  I could not see anything in 
either the switch log or dmesg, but the switch statistics were 
incrementing CRC errors.  Ultimately a reboot fixed it.

Are you going to want me to install an run a special kernel version?





Information stored :
Bug#596390; Package linux-2.6. (Sat, 20 Nov 2010 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <debian@elyograg.org>:
Extra info received and filed, but not forwarded. (Sat, 20 Nov 2010 17:30:05 GMT) Full text and rfc822 format available.

Message sent on to Shawn Heisey <debian@elyograg.org>:
Bug#596390. (Sat, 20 Nov 2010 17:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Sat, 20 Nov 2010 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <elyograg@elyograg.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 20 Nov 2010 17:57:03 GMT) Full text and rfc822 format available.

Message #68 received at 596390@bugs.debian.org (full text, mbox):

From: Shawn Heisey <elyograg@elyograg.org>
To: 596390-quiet@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 596390-submitter@bugs.debian.org, 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 20 Nov 2010 10:43:31 -0700
On 11/20/2010 10:20 AM, Shawn Heisey wrote:
> Unknown RealTek chip (mask: 0x28000000) 

I found what looks like a bug report and resolution for this same chip 
and problem in FreeBSD.

http://www.pubbs.net/200904/netbsd/15177-50rc3-messed-up-rtl8111dl-onboard-nic.html

I know there are licensing issues between BSD and Linux that prevent you 
from copying the code directly, but perhaps this can nudge you in the 
right direction.

Thanks,
Shawn





Information stored :
Bug#596390; Package linux-2.6. (Sat, 20 Nov 2010 17:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <elyograg@elyograg.org>:
Extra info received and filed, but not forwarded. (Sat, 20 Nov 2010 17:57:16 GMT) Full text and rfc822 format available.

Message sent on to Shawn Heisey <debian@elyograg.org>:
Bug#596390. (Sat, 20 Nov 2010 17:57:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Sat, 20 Nov 2010 18:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 20 Nov 2010 18:57:07 GMT) Full text and rfc822 format available.

Message #81 received at 596390@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Shawn Heisey <debian@elyograg.org>
Cc: 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Sat, 20 Nov 2010 18:55:51 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2010-11-20 at 10:20 -0700, Shawn Heisey wrote:
[...]
> ethtool -d eth0:
> Unknown RealTek chip (mask: 0x28000000)

So this is an RTL8168d, for which the upstream driver does load a
firmware blob.  It's possible that that blob fixes this bug (it's never
been made clear just what it does).

> mii-tool eth0:
> eth0: no link
[...]

Try 'mii-tool -vv eth0'?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#596390; Package linux-2.6. (Wed, 01 Dec 2010 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Heisey <debian@elyograg.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 01 Dec 2010 19:09:06 GMT) Full text and rfc822 format available.

Message #86 received at 596390@bugs.debian.org (full text, mbox):

From: Shawn Heisey <debian@elyograg.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 596390@bugs.debian.org
Subject: Re: Bug#596390: Log messages from 2.6.30 and 2.6.32
Date: Wed, 01 Dec 2010 12:04:27 -0700
On 11/20/2010 11:55 AM, Ben Hutchings wrote:
> Try 'mii-tool -vv eth0'?

New output.  Just in case, I tried it with a third and fourth v, no 
difference.  This is with it hard-set to 100 full, I can do it with it 
set to auto when I get home.

frodo:~# mii-tool -vv eth0
Using SIOCGMIIPHY=0x8947
eth0: 100 Mbit, full duplex, link ok
  registers for MII PHY 32:
    2100 794d 001c c912 8de1 0080 0006 2801
    0000 0300 0000 8c00 1006 f8a0 0000 3000
    01ee 6c1c 0000 2d4c 0060 0000 4100 2149
    2740 8c00 0040 8062 846d 8fb0 0123 0000
  product info: vendor 00:07:32, model 17 rev 2
  basic mode:   100 Mbit, full duplex
  basic status: link ok
  capabilities: 1000baseT-HD 1000baseT-FD 100baseTx-FD 100baseTx-HD 
10baseT-FD 10baseT-HD
  advertising:  100baseTx-FD 100baseTx-HD 10baseT-FD 10baseT-HD 
flow-control
  link partner: 100baseTx-HD





Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Wed, 05 Jan 2011 02:15:02 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 06 Jan 2011 13:21:10 GMT) Full text and rfc822 format available.

Notification sent to Shawn Heisey <debian@elyograg.org>:
Bug acknowledged by developer. (Thu, 06 Jan 2011 13:21:10 GMT) Full text and rfc822 format available.

Message #93 received at 596390-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 596390-close@bugs.debian.org
Subject: Bug#596390: fixed in linux-2.6 2.6.37-1~experimental.1
Date: Thu, 06 Jan 2011 13:18:24 +0000
Source: linux-2.6
Source-Version: 2.6.37-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.37-1~experimental.1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.37-1~experimental.1_all.deb
linux-2.6_2.6.37-1~experimental.1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.37-1~experimental.1.diff.gz
linux-2.6_2.6.37-1~experimental.1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.37-1~experimental.1.dsc
linux-2.6_2.6.37.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_2.6.37.orig.tar.gz
linux-base_2.6.37-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-base_2.6.37-1~experimental.1_all.deb
linux-doc-2.6.37_2.6.37-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.37_2.6.37-1~experimental.1_all.deb
linux-manual-2.6.37_2.6.37-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.37_2.6.37-1~experimental.1_all.deb
linux-patch-debian-2.6.37_2.6.37-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.37_2.6.37-1~experimental.1_all.deb
linux-source-2.6.37_2.6.37-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-source-2.6.37_2.6.37-1~experimental.1_all.deb
linux-support-2.6.37-trunk_2.6.37-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-support-2.6.37-trunk_2.6.37-1~experimental.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596390@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 05 Jan 2011 02:44:28 +0000
Source: linux-2.6
Binary: linux-tools-2.6.37 linux-source-2.6.37 linux-doc-2.6.37 linux-manual-2.6.37 linux-patch-debian-2.6.37 firmware-linux-free linux-support-2.6.37-trunk linux-base linux-libc-dev linux-headers-2.6.37-trunk-all linux-headers-2.6.37-trunk-all-alpha linux-headers-2.6.37-trunk-common linux-image-2.6.37-trunk-alpha-generic linux-headers-2.6.37-trunk-alpha-generic linux-image-2.6.37-trunk-alpha-smp linux-headers-2.6.37-trunk-alpha-smp linux-image-2.6.37-trunk-alpha-legacy linux-headers-2.6.37-trunk-alpha-legacy linux-headers-2.6.37-trunk-all-amd64 linux-image-2.6.37-trunk-amd64 linux-headers-2.6.37-trunk-amd64 linux-image-2.6.37-trunk-amd64-dbg linux-headers-2.6.37-trunk-all-armel linux-image-2.6.37-trunk-iop32x linux-headers-2.6.37-trunk-iop32x linux-image-2.6.37-trunk-ixp4xx linux-headers-2.6.37-trunk-ixp4xx linux-image-2.6.37-trunk-kirkwood linux-headers-2.6.37-trunk-kirkwood linux-image-2.6.37-trunk-orion5x linux-headers-2.6.37-trunk-orion5x
 linux-image-2.6.37-trunk-versatile linux-headers-2.6.37-trunk-versatile linux-headers-2.6.37-trunk-all-hppa linux-image-2.6.37-trunk-parisc linux-headers-2.6.37-trunk-parisc linux-image-2.6.37-trunk-parisc-smp linux-headers-2.6.37-trunk-parisc-smp linux-image-2.6.37-trunk-parisc64 linux-headers-2.6.37-trunk-parisc64 linux-image-2.6.37-trunk-parisc64-smp linux-headers-2.6.37-trunk-parisc64-smp linux-headers-2.6.37-trunk-all-i386 linux-image-2.6.37-trunk-486 linux-headers-2.6.37-trunk-486 linux-image-2.6.37-trunk-686 linux-headers-2.6.37-trunk-686 linux-image-2.6.37-trunk-686-bigmem linux-headers-2.6.37-trunk-686-bigmem linux-image-2.6.37-trunk-686-bigmem-dbg linux-headers-2.6.37-trunk-all-ia64 linux-image-2.6.37-trunk-itanium linux-headers-2.6.37-trunk-itanium linux-image-2.6.37-trunk-mckinley linux-headers-2.6.37-trunk-mckinley linux-headers-2.6.37-trunk-all-m68k linux-image-2.6.37-trunk-amiga linux-headers-2.6.37-trunk-amiga linux-image-2.6.37-trunk-atari
 linux-headers-2.6.37-trunk-atari linux-image-2.6.37-trunk-bvme6000 linux-headers-2.6.37-trunk-bvme6000 linux-image-2.6.37-trunk-mac linux-headers-2.6.37-trunk-mac linux-image-2.6.37-trunk-mvme147 linux-headers-2.6.37-trunk-mvme147 linux-image-2.6.37-trunk-mvme16x linux-headers-2.6.37-trunk-mvme16x linux-headers-2.6.37-trunk-all-mips linux-image-2.6.37-trunk-r4k-ip22 linux-headers-2.6.37-trunk-r4k-ip22 linux-image-2.6.37-trunk-r5k-ip32 linux-headers-2.6.37-trunk-r5k-ip32 linux-image-2.6.37-trunk-sb1-bcm91250a linux-headers-2.6.37-trunk-sb1-bcm91250a linux-image-2.6.37-trunk-sb1a-bcm91480b linux-headers-2.6.37-trunk-sb1a-bcm91480b linux-image-2.6.37-trunk-4kc-malta linux-headers-2.6.37-trunk-4kc-malta linux-image-2.6.37-trunk-5kc-malta linux-headers-2.6.37-trunk-5kc-malta linux-image-2.6.37-trunk-octeon linux-headers-2.6.37-trunk-octeon linux-headers-2.6.37-trunk-all-mipsel linux-image-2.6.37-trunk-r5k-cobalt linux-headers-2.6.37-trunk-r5k-cobalt
 linux-image-2.6.37-trunk-loongson-2f linux-headers-2.6.37-trunk-loongson-2f linux-headers-2.6.37-trunk-all-powerpc linux-image-2.6.37-trunk-powerpc linux-headers-2.6.37-trunk-powerpc linux-image-2.6.37-trunk-powerpc-smp linux-headers-2.6.37-trunk-powerpc-smp linux-image-2.6.37-trunk-powerpc64 linux-headers-2.6.37-trunk-powerpc64 linux-headers-2.6.37-trunk-all-s390 linux-image-2.6.37-trunk-s390x linux-headers-2.6.37-trunk-s390x linux-image-2.6.37-trunk-s390x-tape linux-headers-2.6.37-trunk-all-sh4 linux-image-2.6.37-trunk-sh7751r linux-headers-2.6.37-trunk-sh7751r linux-image-2.6.37-trunk-sh7785lcr linux-headers-2.6.37-trunk-sh7785lcr linux-headers-2.6.37-trunk-all-sparc linux-image-2.6.37-trunk-sparc64 linux-headers-2.6.37-trunk-sparc64 linux-image-2.6.37-trunk-sparc64-smp linux-headers-2.6.37-trunk-sparc64-smp
 linux-headers-2.6.37-trunk-all-sparc64
Architecture: all amd64 source
Version: 2.6.37-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 596390 607863 608138 608185
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.37 - Linux kernel specific documentation for version 2.6.37
 linux-headers-2.6.37-trunk-486 - Header files for Linux 2.6.37-trunk-486
 linux-headers-2.6.37-trunk-4kc-malta - Header files for Linux 2.6.37-trunk-4kc-malta
 linux-headers-2.6.37-trunk-5kc-malta - Header files for Linux 2.6.37-trunk-5kc-malta
 linux-headers-2.6.37-trunk-686-bigmem - Header files for Linux 2.6.37-trunk-686-bigmem
 linux-headers-2.6.37-trunk-686 - Header files for Linux 2.6.37-trunk-686
 linux-headers-2.6.37-trunk-all - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-alpha - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-amd64 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-armel - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-hppa - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-i386 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-ia64 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-m68k - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-mips - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-mipsel - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-powerpc - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-s390 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-sh4 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-sparc64 - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-all-sparc - All header files for Linux 2.6.37 (meta-package)
 linux-headers-2.6.37-trunk-alpha-generic - Header files for Linux 2.6.37-trunk-alpha-generic
 linux-headers-2.6.37-trunk-alpha-legacy - Header files for Linux 2.6.37-trunk-alpha-legacy
 linux-headers-2.6.37-trunk-alpha-smp - Header files for Linux 2.6.37-trunk-alpha-smp
 linux-headers-2.6.37-trunk-amd64 - Header files for Linux 2.6.37-trunk-amd64
 linux-headers-2.6.37-trunk-amiga - Header files for Linux 2.6.37-trunk-amiga
 linux-headers-2.6.37-trunk-atari - Header files for Linux 2.6.37-trunk-atari
 linux-headers-2.6.37-trunk-bvme6000 - Header files for Linux 2.6.37-trunk-bvme6000
 linux-headers-2.6.37-trunk-common - Common header files for Linux 2.6.37-trunk
 linux-headers-2.6.37-trunk-iop32x - Header files for Linux 2.6.37-trunk-iop32x
 linux-headers-2.6.37-trunk-itanium - Header files for Linux 2.6.37-trunk-itanium
 linux-headers-2.6.37-trunk-ixp4xx - Header files for Linux 2.6.37-trunk-ixp4xx
 linux-headers-2.6.37-trunk-kirkwood - Header files for Linux 2.6.37-trunk-kirkwood
 linux-headers-2.6.37-trunk-loongson-2f - Header files for Linux 2.6.37-trunk-loongson-2f
 linux-headers-2.6.37-trunk-mac - Header files for Linux 2.6.37-trunk-mac
 linux-headers-2.6.37-trunk-mckinley - Header files for Linux 2.6.37-trunk-mckinley
 linux-headers-2.6.37-trunk-mvme147 - Header files for Linux 2.6.37-trunk-mvme147
 linux-headers-2.6.37-trunk-mvme16x - Header files for Linux 2.6.37-trunk-mvme16x
 linux-headers-2.6.37-trunk-octeon - Header files for Linux 2.6.37-trunk-octeon
 linux-headers-2.6.37-trunk-orion5x - Header files for Linux 2.6.37-trunk-orion5x
 linux-headers-2.6.37-trunk-parisc64 - Header files for Linux 2.6.37-trunk-parisc64
 linux-headers-2.6.37-trunk-parisc64-smp - Header files for Linux 2.6.37-trunk-parisc64-smp
 linux-headers-2.6.37-trunk-parisc - Header files for Linux 2.6.37-trunk-parisc
 linux-headers-2.6.37-trunk-parisc-smp - Header files for Linux 2.6.37-trunk-parisc-smp
 linux-headers-2.6.37-trunk-powerpc64 - Header files for Linux 2.6.37-trunk-powerpc64
 linux-headers-2.6.37-trunk-powerpc - Header files for Linux 2.6.37-trunk-powerpc
 linux-headers-2.6.37-trunk-powerpc-smp - Header files for Linux 2.6.37-trunk-powerpc-smp
 linux-headers-2.6.37-trunk-r4k-ip22 - Header files for Linux 2.6.37-trunk-r4k-ip22
 linux-headers-2.6.37-trunk-r5k-cobalt - Header files for Linux 2.6.37-trunk-r5k-cobalt
 linux-headers-2.6.37-trunk-r5k-ip32 - Header files for Linux 2.6.37-trunk-r5k-ip32
 linux-headers-2.6.37-trunk-s390x - Header files for Linux 2.6.37-trunk-s390x
 linux-headers-2.6.37-trunk-sb1a-bcm91480b - Header files for Linux 2.6.37-trunk-sb1a-bcm91480b
 linux-headers-2.6.37-trunk-sb1-bcm91250a - Header files for Linux 2.6.37-trunk-sb1-bcm91250a
 linux-headers-2.6.37-trunk-sh7751r - Header files for Linux 2.6.37-trunk-sh7751r
 linux-headers-2.6.37-trunk-sh7785lcr - Header files for Linux 2.6.37-trunk-sh7785lcr
 linux-headers-2.6.37-trunk-sparc64 - Header files for Linux 2.6.37-trunk-sparc64
 linux-headers-2.6.37-trunk-sparc64-smp - Header files for Linux 2.6.37-trunk-sparc64-smp
 linux-headers-2.6.37-trunk-versatile - Header files for Linux 2.6.37-trunk-versatile
 linux-image-2.6.37-trunk-486 - Linux 2.6.37 for old PCs
 linux-image-2.6.37-trunk-4kc-malta - Linux 2.6.37 for MIPS Malta
 linux-image-2.6.37-trunk-5kc-malta - Linux 2.6.37 for MIPS Malta (64-bit)
 linux-image-2.6.37-trunk-686-bigmem-dbg - Debugging infos for Linux 2.6.37-trunk-686-bigmem
 linux-image-2.6.37-trunk-686-bigmem - Linux 2.6.37 for PCs with 4GB+ RAM
 linux-image-2.6.37-trunk-686 - Linux 2.6.37 for modern PCs
 linux-image-2.6.37-trunk-alpha-generic - Linux 2.6.37 for Alpha
 linux-image-2.6.37-trunk-alpha-legacy - Linux 2.6.37 for Alpha Legacy
 linux-image-2.6.37-trunk-alpha-smp - Linux 2.6.37 for Alpha SMP
 linux-image-2.6.37-trunk-amd64-dbg - Debugging infos for Linux 2.6.37-trunk-amd64
 linux-image-2.6.37-trunk-amd64 - Linux 2.6.37 for 64-bit PCs
 linux-image-2.6.37-trunk-amiga - Linux 2.6.37 for Amiga
 linux-image-2.6.37-trunk-atari - Linux 2.6.37 for Atari
 linux-image-2.6.37-trunk-bvme6000 - Linux 2.6.37 for BVM BVME4000 and BVME6000
 linux-image-2.6.37-trunk-iop32x - Linux 2.6.37 for IOP32x
 linux-image-2.6.37-trunk-itanium - Linux 2.6.37 for Itanium
 linux-image-2.6.37-trunk-ixp4xx - Linux 2.6.37 for IXP4xx
 linux-image-2.6.37-trunk-kirkwood - Linux 2.6.37 for Marvell Kirkwood
 linux-image-2.6.37-trunk-loongson-2f - Linux 2.6.37 for Loongson 2F
 linux-image-2.6.37-trunk-mac - Linux 2.6.37 for Macintosh
 linux-image-2.6.37-trunk-mckinley - Linux 2.6.37 for Itanium II
 linux-image-2.6.37-trunk-mvme147 - Linux 2.6.37 for Motorola MVME147
 linux-image-2.6.37-trunk-mvme16x - Linux 2.6.37 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.37-trunk-octeon - Linux 2.6.37 for Octeon
 linux-image-2.6.37-trunk-orion5x - Linux 2.6.37 for Marvell Orion
 linux-image-2.6.37-trunk-parisc64 - Linux 2.6.37 for 64-bit PA-RISC
 linux-image-2.6.37-trunk-parisc64-smp - Linux 2.6.37 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.37-trunk-parisc - Linux 2.6.37 for 32-bit PA-RISC
 linux-image-2.6.37-trunk-parisc-smp - Linux 2.6.37 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.37-trunk-powerpc64 - Linux 2.6.37 for 64-bit PowerPC
 linux-image-2.6.37-trunk-powerpc - Linux 2.6.37 for uniprocessor 32-bit PowerPC
 linux-image-2.6.37-trunk-powerpc-smp - Linux 2.6.37 for multiprocessor 32-bit PowerPC
 linux-image-2.6.37-trunk-r4k-ip22 - Linux 2.6.37 for SGI IP22
 linux-image-2.6.37-trunk-r5k-cobalt - Linux 2.6.37 for Cobalt
 linux-image-2.6.37-trunk-r5k-ip32 - Linux 2.6.37 for SGI IP32
 linux-image-2.6.37-trunk-s390x - Linux 2.6.37 for IBM zSeries
 linux-image-2.6.37-trunk-s390x-tape - Linux 2.6.37 for IBM zSeries, IPL from tape
 linux-image-2.6.37-trunk-sb1a-bcm91480b - Linux 2.6.37 for BCM91480B
 linux-image-2.6.37-trunk-sb1-bcm91250a - Linux 2.6.37 for BCM91250A
 linux-image-2.6.37-trunk-sh7751r - Linux 2.6.37 for sh7751r
 linux-image-2.6.37-trunk-sh7785lcr - Linux 2.6.37 for sh7785lcr
 linux-image-2.6.37-trunk-sparc64 - Linux 2.6.37 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.37-trunk-sparc64-smp - Linux 2.6.37 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.37-trunk-versatile - Linux 2.6.37 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.37 - Linux kernel API manual pages for version 2.6.37
 linux-patch-debian-2.6.37 - Debian patches to version 2.6.37 of the Linux kernel
 linux-source-2.6.37 - Linux kernel source for version 2.6.37 with Debian patches
 linux-support-2.6.37-trunk - Support files for Linux 2.6.37
 linux-tools-2.6.37 - Performance analysis tools for Linux 2.6.37
Changes: 
 linux-2.6 (2.6.37-1~experimental.1) experimental; urgency=low
 .
   * New upstream release: http://kernelnewbies.org/Linux_2_6_37
     - starfire: Fix dma_addr_t size test for MIPS (fixes FTBFS)
     - watchdog: Improve failure message and documentation (Closes: #608138)
 .
   [ Ben Hutchings ]
   * i2c-i801: Include <linux/slab.h> (fixes FTBFS on alpha)
   * [x86] Staging: Enable R8712U as module (r8712u, replacing r8192s_usb)
     - Enable loading external firmware, thanks to Stefan Lippers-Hollmann
   * linux-base: Look for GRUB 1 configuration in both /boot/grub and
     /boot/boot/grub (Closes: #607863)
   * btrfs: Require CAP_SYS_ADMIN for filesystem rebalance (Closes: #608185)
   * r8169: Change RTL8111D/RTL8168D initialisation and firmware loading to
     match upstream version (Closes: #596390 with firmware-realtek 0.28)
Checksums-Sha1: 
 bd44742bb86c7978bed201b09b551ce8325ae12f 6200 linux-2.6_2.6.37-1~experimental.1.dsc
 4d46d73308da2e514f874882fcb680dd639797f4 92508512 linux-2.6_2.6.37.orig.tar.gz
 f7bfb6526a9b740ad710d828b07e629bf1fab782 366158 linux-2.6_2.6.37-1~experimental.1.diff.gz
 eab89ed0830ba7bc56a97bd76f04bf66d16b2a74 150188 linux-support-2.6.37-trunk_2.6.37-1~experimental.1_all.deb
 97b84b1afabc05484f0fa8bc7639f3d353663a68 186878 linux-patch-debian-2.6.37_2.6.37-1~experimental.1_all.deb
 5a3cd87aa0b29cd6d106b33d2838f86abbca4dad 160644 linux-base_2.6.37-1~experimental.1_all.deb
 badf96fe31a6158b41f9a0ba3298722248785da2 139724 firmware-linux-free_2.6.37-1~experimental.1_all.deb
 5287f4c5dbd5db64d1b950d3b8b3a6944739a640 72454112 linux-source-2.6.37_2.6.37-1~experimental.1_all.deb
 b08a2cc512260a14c551a44ba599eaa8c4760dbc 6607358 linux-doc-2.6.37_2.6.37-1~experimental.1_all.deb
 334b9f5f669827e63e76b4162fc510a0d9344916 3009890 linux-manual-2.6.37_2.6.37-1~experimental.1_all.deb
Checksums-Sha256: 
 2d7813e2dbb2760b5aac7c17dce475b33dacc607e1d323095d642316804d2f5b 6200 linux-2.6_2.6.37-1~experimental.1.dsc
 6d7fb7845e386cc547fbb26647d4fdf487dc34553f28524cfc4eeb35aa90f01e 92508512 linux-2.6_2.6.37.orig.tar.gz
 beeab19374600e40a312e34812f32c39ad31f3e5a70bf844793532b47b58b871 366158 linux-2.6_2.6.37-1~experimental.1.diff.gz
 1ece2a2f270824e8a91db5fe0b26766eb43c31348585648e3e90cce362f0506e 150188 linux-support-2.6.37-trunk_2.6.37-1~experimental.1_all.deb
 68939660150a74ccc2aa005e31fe87989ba58d0e84c37b6aadbb30c1ef5bee86 186878 linux-patch-debian-2.6.37_2.6.37-1~experimental.1_all.deb
 bf8716fe23583691d0a0e6d2b6905f97c84846eeb860328a47d99fa8b1e62fe4 160644 linux-base_2.6.37-1~experimental.1_all.deb
 65aee6587e6513d011d56ce96eaef8569beb3e7aa9deed24d994e933d54938f7 139724 firmware-linux-free_2.6.37-1~experimental.1_all.deb
 d1e33fa846b3a75594529fa80e33d36fbb081d8e3c80246f32ce20cc3589d7be 72454112 linux-source-2.6.37_2.6.37-1~experimental.1_all.deb
 3ffd4a051d5f45fd05f4345f2c085178de7b4b9e79d6e15f62fbb5f0719d0f0a 6607358 linux-doc-2.6.37_2.6.37-1~experimental.1_all.deb
 1aa259bd85d6f1f492ef6989d556e41ce23846973295aa65442f0599b64b17a4 3009890 linux-manual-2.6.37_2.6.37-1~experimental.1_all.deb
Files: 
 24ef94cb37a65e82c5787dab6137bdbc 6200 kernel optional linux-2.6_2.6.37-1~experimental.1.dsc
 8848c4f45b0e561edd71911131c34fb1 92508512 kernel optional linux-2.6_2.6.37.orig.tar.gz
 b35aea630f3cf0344714c423fdc8cdb0 366158 kernel optional linux-2.6_2.6.37-1~experimental.1.diff.gz
 1cad4cc46b45b570bb3227752643e245 150188 devel optional linux-support-2.6.37-trunk_2.6.37-1~experimental.1_all.deb
 66312db9b671af42d9b6e1b977b8d1ed 186878 kernel optional linux-patch-debian-2.6.37_2.6.37-1~experimental.1_all.deb
 421351dedad87b5080672a8f919ccd38 160644 kernel optional linux-base_2.6.37-1~experimental.1_all.deb
 b72f1af137a9e570b7efa866b194c061 139724 kernel optional firmware-linux-free_2.6.37-1~experimental.1_all.deb
 33a2b98e1727016513bee4d49a82bc67 72454112 kernel optional linux-source-2.6.37_2.6.37-1~experimental.1_all.deb
 adbe6c3b60a5f88efcc4006280f1ceeb 6607358 doc optional linux-doc-2.6.37_2.6.37-1~experimental.1_all.deb
 ee84d0cd2816f6aeb6ab81d24c811207 3009890 doc optional linux-manual-2.6.37_2.6.37-1~experimental.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTSQRE+e/yOyVhhEJAQqITA//fxd1SrKamN/wjNP49zjO9dZpyCsp9K/O
1rmIiz6jKnD9yHe31IBHRw/G6wIfvHEjpy/X5FtZRZkEo66HEQx881krLmvGFQoA
XvqsphiydNSzJNVdTI4h4v/B+ExBwVuBMfJekvSGOXALxSODDjJ0oLyFtIEdtUvW
nGn3ysu+cnGK3++R2c+V+FeO5yeXoDSBgHqU2VvYqY86gF+2K25NRDthQu1c+Uih
ktGjXh4m6Twg/I9AwE5AeMzI0v0EC8Quqnp0F9gKNlDGk81gAQVOjmGhz3N3Nq64
B3ZwdCyFZtURQBkMwVPFwyuF9ljUkojZHp4mD2cETpcfwl3GwGA7viB1F84IpZ4A
TBypuBcfdP2Ph1YVHprDd+DP8Nwe9mZ8zUT40ZRNZrXcvU/R5RBaxyRiiVIPahjY
R1+PVvgiHjThUrUgDZKlEXiCDLlmaABSf2ts5p2suU/u7ncIfqCWtWoTC3XWRTBQ
oFfZZ/pLJDj5zPaTJMaV1i0LA9XU15bqU66GWpOCisxpUppGoz08lqxod+bDK1FQ
REG9+dleQ1af+6ohoXeeocQ9JkyHjSjSXgAjlPr7ofWA4aSUhgEfmGBMJMTy68kd
q+wmEd8xI85f27Z/jtLqaGUH2eGESCg/6WT1YhlIx4hR5bFO25vz+hKb7GkuKJFu
SijSBwj7gFs=
=s3dm
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 12 Jan 2011 02:51:19 GMT) Full text and rfc822 format available.

Notification sent to Shawn Heisey <debian@elyograg.org>:
Bug acknowledged by developer. (Wed, 12 Jan 2011 02:51:20 GMT) Full text and rfc822 format available.

Message #98 received at 596390-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 596390-close@bugs.debian.org
Subject: Bug#596390: fixed in linux-2.6 2.6.32-30
Date: Wed, 12 Jan 2011 02:50:09 +0000
Source: linux-2.6
Source-Version: 2.6.32-30

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-30_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-30_all.deb
linux-2.6_2.6.32-30.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-30.diff.gz
linux-2.6_2.6.32-30.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-30.dsc
linux-base_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-30_all.deb
linux-doc-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-30_all.deb
linux-manual-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-30_all.deb
linux-patch-debian-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-30_all.deb
linux-source-2.6.32_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-30_all.deb
linux-support-2.6.32-5_2.6.32-30_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-30_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596390@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 11 Jan 2011 05:42:11 +0000
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all amd64 source
Version: 2.6.32-30
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 555835 580507 594561 596390 599345 600694 601341 606968 607095 607284 607863 608144 608185 609155
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-30) unstable; urgency=high
 .
   [ Ben Hutchings ]
   * mpt2sas: Fix incorrect scsi_dma_map error checking (Closes: #606968)
   * Update Spanish debconf template translation (Omar Campagne, Javier
     Fernández-Sanguino) (Really closes: #600694)
   * intel-iommu: Force-disable IOMMU for iGFX on broken Cantiga revisions
     (Closes: #607095)
   * [powerpc] linux-base: Run ybin after updating yaboot.conf
     (Closes: #607284)
   * tehuti: Firmware filename is tehuti/bdx.bin
   * iwlwifi: Reduce a failure-prone memory allocation (Closes: #599345)
   * linux-base: Look for GRUB 1 configuration in both /boot/grub and
     /boot/boot/grub (Closes: #607863)
   * rt28x0: Add ieee80211_regdom module parameter mimicking cfg80211 as a
     workaround for incorrect region code in NVRAM (Closes: #594561)
   * btrfs: Require CAP_SYS_ADMIN for filesystem rebalance (Closes: #608185)
   * [x86] dell-laptop: Enable for some newer Dell models
   * r8169: Change RTL8111D/RTL8168D initialisation and firmware loading to
     match upstream version (Closes: #596390 with firmware-realtek 0.28)
   * Add stable 2.6.32.28:
     - NFS: Fix panic after nfs_umount()
     - usb-storage/libusual: Add support for Samsung YP-CP3 MP4 Player,
       thanks to Vitaly Kuznetsov (Closes: #555835)
     - bfa: Fix system crash when reading sysfs fc_host statistics
       (CVE-2010-4343)
     - IB/uverbs: Handle large number of entries in poll CQ (CVE-2010-4649)
     - orinoco: Fix TKIP countermeasure behaviour (CVE-2010-4648)
     - mm: Add security_file_mmap check to install_special_mapping
       (CVE-2010-4346)
     - sctp: Fix a race between ICMP protocol unreachable and connect()
       (CVE-2010-4526)
     - hvc_console: Fix race between hvc_close and hvc_remove (CVE-2010-2653)
       (previously applied as an isolated fix in 2.6.32-25)
     - fuse/cuse: Verify ioctl retries (CVE-2010-4650)
   * [powerpc] Restore device tree source files to linux-image packages
     (Closes: #609155)
 .
   [ maximilian attems ]
   * [openvz] Reenable NF_CONNTRACK_IPV6. (closes: #580507)
   * cifs: fix another memleak, in cifs_root_iget.
   * b43: Fix warning at drivers/mmc/core/core.c:237 in mmc_wait_for_cmd.
   * drm/radeon/kms: MC vram map needs to be >= pci aperture size.
   * drm/radeon/kms: make sure blit addr masks are 64 bit.
   * drm/radeon/kms: fix handling of tex lookup disable in cs checker on r2xx.
   * drm/i915: Free hardware status page on unload when physically mapped.
   * drm/i915/overlay: Ensure that the reg_bo is in the GTT prior to writing.
   * drm/radeon/kms/atom: set sane defaults in atombios_get_encoder_mode().
   * drm/radeon/kms: fix typos in disabled vbios code.
   * drm/radeon/kms: add workaround for dce3 ddc line vbios bug.
   * drm/radeon/kms: fix interlaced and doublescan handling.
   * drm/i915/sdvo: Always add a 30ms delay to make SDVO TV detection reliable.
   * wireless: b43: fix error path in SDIO.
   * drm/radeon/kms: don't apply 7xx HDP flush workaround on AGP.
 .
   [ Ian Campbell ]
   * xen: backport TTM patches to use PCI API. Fixes PCIe GPU (specifically
     Radeon and Nouveau) on Xen (Closes: #601341).
   * xen: netback: drop SKBs which are GSO but do not have a partial
     checksum set (Closes: #608144).
 .
   [ dann frazier ]
   * exec: make argv/envp memory visible to oom-killer (CVE-2010-4243)
   * irda: Fix information leak in IRLMP_ENUMDEVICES (CVE-2010-4529)
   * af_unix: limit unix_tot_inflight (CVE-2010-4249)
 .
   [ Moritz Muehlenhoff ]
   * net: ax25: fix information leak to userland (CVE-2010-3875)
   * net: packet: fix information leak to userland (CVE-2010-3876)
   * net: tipc: fix information leak to userland (CVE-2010-3877)
   * inet_diag: Make sure we actually run the same bytecode we audited
     (CVE-2010-3880)
   * econet: Fix crash in aun_incoming() (CVE-2010-4342)
Checksums-Sha1: 
 db0c85af9383f494ce5d021a10f20c2b170f3af3 6969 linux-2.6_2.6.32-30.dsc
 6ac2dfe0a9c10aebd4486e1702fb358c7513f22a 14334799 linux-2.6_2.6.32-30.diff.gz
 fc378dc9c28f4e5c3aa986c32489f7693e2e4126 6051958 linux-doc-2.6.32_2.6.32-30_all.deb
 f4b46338df7ee5dfbe7bb02ce7a17cb95ebc9732 2729452 linux-manual-2.6.32_2.6.32-30_all.deb
 d6f64dd831fb95491d45440f278c126c19018466 7484478 linux-patch-debian-2.6.32_2.6.32-30_all.deb
 78b181e067bf93fe33a3ee782f609348f76689ef 65017190 linux-source-2.6.32_2.6.32-30_all.deb
 2842e01fd47b05a51dd51227ea5bc00bf68acc64 157346 linux-support-2.6.32-5_2.6.32-30_all.deb
 136606e0d8c40772f789421a5a29d789000fdf24 145468 firmware-linux-free_2.6.32-30_all.deb
 188cb3c5a224e3fbe099acc048f35b73df94bbea 166574 linux-base_2.6.32-30_all.deb
Checksums-Sha256: 
 e5f47cecf5e1654f108dd716307aad31b309e73960609af33158ef6975df0987 6969 linux-2.6_2.6.32-30.dsc
 7f38042799f8ece01f3de0075349e7b96f7173c64d2c0b238e2f755ad37e698e 14334799 linux-2.6_2.6.32-30.diff.gz
 c60982abe08391b6511513f96690203349106099d593170e1801be3b88ca7b5b 6051958 linux-doc-2.6.32_2.6.32-30_all.deb
 39decaa1e140651002f53a70acb58a2ffdf62b2c6377062c08ed604f4803c0ac 2729452 linux-manual-2.6.32_2.6.32-30_all.deb
 6d4e64b561261fd292fb4f6d4c41924fa57c05bd9bc4a183ba1c9227c2319764 7484478 linux-patch-debian-2.6.32_2.6.32-30_all.deb
 32380882d8c31fdb6f627645a1cd3fb72e7cb840625616cfefaf294791328334 65017190 linux-source-2.6.32_2.6.32-30_all.deb
 251eb954863e5037717a2d267383f28171c6059a15d8eb15f1be7aa7badb0d6a 157346 linux-support-2.6.32-5_2.6.32-30_all.deb
 510a1996142bc7d0f5e422718acbe3fd28a63221e2c5ba60707d69963bfb19a3 145468 firmware-linux-free_2.6.32-30_all.deb
 5a44afd747e37f8e0f9883caccf3525b7d40c4f8b8151be685576c22237631f3 166574 linux-base_2.6.32-30_all.deb
Files: 
 0a109fb1bf9dc32894be925123d43fbe 6969 kernel optional linux-2.6_2.6.32-30.dsc
 0a67dc7a82597f6ea7bf956bf906bd6a 14334799 kernel optional linux-2.6_2.6.32-30.diff.gz
 97e12dc7c864f5125727cc918a9998c3 6051958 doc optional linux-doc-2.6.32_2.6.32-30_all.deb
 6385ca1f37ae576730ac7b41bdf0548a 2729452 doc optional linux-manual-2.6.32_2.6.32-30_all.deb
 c01c54f3fa4dd642a0d08bc01985f995 7484478 kernel optional linux-patch-debian-2.6.32_2.6.32-30_all.deb
 73c021b8fbe88f84ec01bd48cdffa0f0 65017190 kernel optional linux-source-2.6.32_2.6.32-30_all.deb
 7ec6a4dcbb1745d121e8c7eeaf9d00fc 157346 devel optional linux-support-2.6.32-5_2.6.32-30_all.deb
 035b1d1f872bae0f04ae2d26e69c74f3 145468 kernel optional firmware-linux-free_2.6.32-30_all.deb
 2dc3815573df89796d1941a3164c5d17 166574 kernel optional linux-base_2.6.32-30_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTS0KEue/yOyVhhEJAQp6Qg/+MuqLIyMI+v3Zm6IC+tkrTkt4riIEg6aF
pt9v2KLtxthCNx38t9+ANKPx9TPjXuQgMiIMcKckK4uHXqGHieXg0+cvt/mnLbMN
QC7YJhF/kJ+4Dl9edHimfFSATZbhz+3uHXoPzqxd4iK8lZIaaXFqGvo8NUEO3APy
49o+NwDh0AM7wFs0JxySUaHRrS5L+vzkqi9VrJ3Av0Skxmjecqq9+9+GXrQGMdTZ
SmQvnl33+c0/Bj5VUJJfKmojR9GFmS5Gzdz6Y8uPxOPlGvKy/kvJztqzPJC6ApYc
8a4GuPSylqb3slfg4akVaZ/dN7c2BnM+ScrwQDB5fugyfEV6Uuh0reM4u+w2Iq7C
cwLTtQ7xxEkAzQL8PMrIcy4yqB6ydpXwB8Vnfri3fBCCwZ9gOODw/+rLon9pK+so
NTLmLyS44zcTsYa5fxR38eupspucIoCo2g0uGFLcWKHDq/9bbKQRbKBv28yNJS5f
3MODJcEGW/9HKwNSDn9rlF/bYgPtJiRtZIaU52vxOAAXPA0+j/QLfX6q8bMg0yaj
oiUrfdyfcyQ8BFOpCqOdMfKn6QW3cZ+XOL+hVoLBgvdReEq5JK/UQsAHLSACmF8b
Z9m2w36o7c+ZtZmhJ6qHnd62vxCiOd1yIOuQOl7ps9UzxtIRXN1NISaX4ThzAZ/S
gA+vxo6sW1w=
=JgT1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Feb 2011 07:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:54:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.